Reply
New Contributor
Posts: 3
Registered: ‎09-26-2016

no longer able to install cdh5.9.0

[ Edited ]

I have installed cdh5.9.0 on several servers a month ago and needed to add new server, however unable to install cdh5.9.0 components on debian jessie

/etc/apt/sources.list.d/cloudera.list:
deb [arch=amd64] "http://archive.cloudera.com/cdh5/debian/jessie/amd64/cdh" jessie-cdh5.9.0 contrib

apt-get update completed ok

apt-get install hadoop-hdfs
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package hadoop-hdfs

ls -l /var/lib/apt/lists/arc*
-rw-r--r-- 1 root root 1864 Jun 15 19:06 /var/lib/apt/lists/archive.cloudera.com_cdh5_debian_jessie_amd64_cdh_dists_jessie-cdh5.9.0_InRelease
-rw-r--r-- 1 root root 0 Jun 15 19:06 /var/lib/apt/lists/archive.cloudera.com_cdh5_debian_jessie_amd64_cdh_dists_jessie-cdh5.9.0_contrib_binary-amd64_Packages

Please advise

Only if the /etc/apt/sources.list.d/cloudera.list is changed to:
deb [arch=amd64] "http://archive.cloudera.com/cdh5/debian/jessie/amd64/cdh" jessie-cdh5.11.1 contrib

I'm able to install, but I need cdh5.9.0 and not cdh5.11.1

 

Also when trying to download https://archive.cloudera.com/cdh5/debian/jessie/amd64/cdh/cloudera.list the content looks broken:

deb ${baseUrl}/${category}/debian/jessie/amd64/cdh jessie-cdh5 contrib
deb-src ${baseUrl}/${category}/debian/jessie/amd64/cdh jessie-cdh5 contrib

 

New Contributor
Posts: 2
Registered: ‎06-16-2017

Re: no longer able to install cdh5.9.0

I'm unable to either update or install anything from the yum repository since the 5.11.1 release.

 

/etc/yum.repos.d/cloudera-cdh5.repo:

[cloudera-cdh5]
baseurl = https://archive.cloudera.com/cdh5/redhat/7/x86_64/cdh/5/
gpgcheck = 1
gpgkey = https://archive.cloudera.com/cdh5/redhat/7/x86_64/cdh/RPM-GPG-KEY-cloudera
name = Cloudera's Distribution for Hadoop, Version 5

 

Typical output from 'yum update':

impala-server-2.8.0+cdh5.11.1+ FAILED                                          
https://archive.cloudera.com/cdh5/redhat/7/x86_64/cdh/5/RPMS/x86_64/impala-server-2.8.0%2Bcdh5.11.1%...: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=cloudera-cdh5 clean metadata
Trying other mirror.

...

  impala-server-2.8.0+cdh5.11.1+0-1.cdh5.11.1.p0.6.el7.x86_64: [Errno 256] No more mirrors to try.

 

The suggestion to do a 'yum clean' does not help.

 

I've tried doing a reposync to set up a local mirror and that fails also.

 

 

Announcements